Sounds like you should use DDRAW, GDI, or OpenGL, then, along with the latest version of MAME. Not sure why you expect support for a 3-year-old version of MAME.